# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

#ifndef	lint
#ifndef	DEBUG
static char SCCS_id[] = "@(#)inetd_check.l 2.1 90/08/02 19:22:25  Copyright(c) 1990 by Rational.";
#else
static char SCCS_id[] = "DEBUG @(#)inetd_check.l 2.1 90/08/02 19:22:25  Copyright(c) 1990 by Rational.";
#endif
#endif

#ifndef	X_OK
#include	<sys/file.h>
#endif
char	*rindex();
#define	DTIA		1
#define	SOMETHING_ELSE	2
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
		return	DTIA;
break;
case 2:
	return	SOMETHING_ELSE;
break;
case 3:
	;
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */
static	char	*install_dir;
static	what_to_do() {
	fprintf(stderr,
	   "\n\tAdd to (or modify in) /etc/inetd.conf the following line:\n");
	fprintf(stderr,
	   "dtia\tstream\ttcp\tnowait\troot\t%s/in.dtia\tin.dtia\n\n",
		install_dir);
	exit(1);
}
static	check_equality(s)
char	*s; {
	if (strcmp(s,yytext)) {
		fprintf(stderr,
		"Expecting <%s> in dtia line in /etc/inetd.conf but got <%s>\n",
		s,yytext);
		what_to_do();
	}
}
static	check_path_name() {
	char	*tail;
	if (yytext[0] != '/') {
		fprintf(stderr,"%s must be an absolute pathname\n",yytext);
		what_to_do();
	}
	tail = rindex(yytext,'/');
	if ( (tail==NULL) || (strcmp(tail+1,"in.dtia")) ) {
		fprintf(stderr,"%s must end by in.dtia\n",yytext);
		what_to_do();
	}
	*tail = '\0';
	check_equality(install_dir);
	*tail = '/';
	if (access(yytext,F_OK) == -1) {
		fprintf(stderr,"%s: Not Accessible\n",yytext);
		what_to_do();
	} 
	if (access(yytext,X_OK) == -1) {
		fprintf(stderr,"%s: Not Executable\n",yytext);
		what_to_do();
	}
}
main(argc,argv) 
int	argc;
char	**argv; {
	int	item;
	if (argc-2)	exit(1);
	install_dir = argv[1];
	while ( (item = yylex()) == SOMETHING_ELSE )  ;
	if (item == DTIA) {
		item = yylex();
		/* Should be "stream"	*/
		check_equality("stream");
		item = yylex();
		/* Should be "tcp"	*/
		check_equality("tcp");
		item = yylex();
		/* Should be "nowait"	*/
		check_equality("nowait");
		item = yylex();
		/* Should be "root"	*/
		check_equality("root");
		item = yylex();
		/* Should be a valid file_name ended by "in.dtia"	*/
		check_path_name ();
		item = yylex();
		/* Should be "in.dtia" */
		check_equality("in.dtia");
	} else {
		/* Missing line in /etc/inetc.conf */
		fprintf(stderr,"Missing dtia line in /etc/inetd.conf\n");
		what_to_do();
	}
}
int yyvstop[] = {
0,

2,
0,

3,
0,

2,
0,

2,
0,

2,
0,

1,
2,
0,
0};
# define YYTYPE char
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	3,3,	
0,0,	0,0,	0,0,	5,3,	
0,0,	6,3,	1,4,	3,0,	
3,0,	4,4,	4,4,	5,0,	
5,0,	6,0,	6,0,	7,3,	
8,0,	8,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	7,0,	
7,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	3,0,	0,0,	
4,4,	0,0,	5,0,	0,0,	
6,0,	0,0,	0,0,	8,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	7,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	2,5,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	6,7,	0,0,	7,8,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	5,6,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-1,	yysvec+1,	0,	
yycrank+-2,	0,		yyvstop+1,
yycrank+4,	0,		yyvstop+3,
yycrank+-6,	0,		yyvstop+5,
yycrank+-8,	0,		yyvstop+7,
yycrank+-18,	0,		yyvstop+9,
yycrank+-11,	yysvec+3,	yyvstop+11,
0,	0,	0};
struct yywork *yytop = yycrank+122;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,011 ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
011 ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,0,
0};
#ifndef lint
static	char ncform_sccsid[] = "@(#)ncform 1.6 88/02/08 SMI"; /* from S5R2 1.2 */
#endif

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
