#ifndef	lint
#ifndef	DEBUG
static char SCCS_id[] = "@(#)ls_r.c 2.1 90/08/02 19:04:52  Copyright(c) 1990 by Rational.";
#else
static char SCCS_id[] = "@(#)ls_r.c DEBUG 2.1 90/08/02 19:04:52  Copyright(c) 1990 by Rational.";
#endif
#endif

#define	LS_R
#include	"talk.h"
#undef	LS_R

static	jmp_buf	env;
static	check(error)	int error; 
{
	if (error != E_OK) longjmp(env,error);
}

int	ls_r_read(fd)	int	fd; 
{
	int	i,error;
	char	*str;
	if (error=setjmp(env))	return	error;
#ifdef	DEBUG
	trace_request("Ls");
#endif
	check(rw_read_int(fd,&i));
	check((i==F_FROM_REMOTE_DIRECTORY)?E_OK:E_INTERNAL_ERROR);
	check(rw_read_str(fd,&str));
#ifdef	DEBUG
	trace_string("in","Remote_Directory",str);
#endif
	check(ls_f_from_remote_directory_in(str));
	check(rw_read_int(fd,&i));
	check((i==F_LEVEL)?E_OK:E_INTERNAL_ERROR);
	check(rw_read_int(fd,&i));
#ifdef	DEBUG
	trace_int("in","Level",i);
#endif
	check(ls_f_level_in(i));
	check(rw_read_int(fd,&i));
	check((i==F_DELIMITOR)?E_OK:E_INTERNAL_ERROR);
	check(rw_read_int(fd,&i));
	check((i==R_LS)?E_OK:E_INTERNAL_ERROR);
	return	E_OK;
}

#ifdef	DEBUG
static	int	line_number=1;
#endif
static	int	where_to_write;
static	int	fct_write(s)
char	*s; 
{
#ifdef	DEBUG
	if (line_number < 5)	trace_string("out","Std_Output",s);
	if (line_number == 5)	trace_string("out","Std_Output","....");
	line_number++;
#endif
	check(rw_write_int(where_to_write,F_A_LINE));
	check(rw_write_str(where_to_write,s));
}

int	ls_r_write(fd)	int	fd; 
{
	int	error;
	where_to_write=fd;
	b_flush(0);
	if (error=setjmp(env)) {
		return report_unix_error(fd,R_LS,error);
	}
#ifdef	DEBUG
	line_number = 1;
#endif
	check(ls_f_end(fct_write));
#ifdef	DEBUG
	trace_end();
#endif
	rw_write_int(fd,F_DELIMITOR);
	b_flush(1);
	rw_write_int(fd,R_LS);
	return	E_OK;
}

